<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::TestEventRepeater Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1TestEventRepeater.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::TestEventRepeater Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for testing::internal::TestEventRepeater:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1TestEventRepeater__inherit__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for testing::internal::TestEventRepeater:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classtesting_1_1internal_1_1TestEventRepeater__coll__graph.svg" width="202" height="127"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad154ce021881721a5c46994316b14cb1"><td class="memItemLeft" align="right" valign="top"><a id="ad154ce021881721a5c46994316b14cb1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Append</b> (<a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a> *listener)</td></tr>
<tr class="separator:ad154ce021881721a5c46994316b14cb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac77a3d127e4726e11694e4ee9cf3b793"><td class="memItemLeft" align="right" valign="top"><a id="ac77a3d127e4726e11694e4ee9cf3b793"></a>
<a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>Release</b> (<a class="el" href="classtesting_1_1TestEventListener.html">TestEventListener</a> *listener)</td></tr>
<tr class="separator:ac77a3d127e4726e11694e4ee9cf3b793"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaf2bfc453fc0e1005fcfb0f95deac4c"><td class="memItemLeft" align="right" valign="top"><a id="abaf2bfc453fc0e1005fcfb0f95deac4c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>forwarding_enabled</b> () const</td></tr>
<tr class="separator:abaf2bfc453fc0e1005fcfb0f95deac4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86c52e311b70598a385a0589277e92e0"><td class="memItemLeft" align="right" valign="top"><a id="a86c52e311b70598a385a0589277e92e0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_forwarding_enabled</b> (bool enable)</td></tr>
<tr class="separator:a86c52e311b70598a385a0589277e92e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe19a6eed2548e9c768ae2d156f1f593"><td class="memItemLeft" align="right" valign="top"><a id="abe19a6eed2548e9c768ae2d156f1f593"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test) override</td></tr>
<tr class="separator:abe19a6eed2548e9c768ae2d156f1f593"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98fea6c94833db424e083eff337ef370"><td class="memItemLeft" align="right" valign="top"><a id="a98fea6c94833db424e083eff337ef370"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test, int iteration) override</td></tr>
<tr class="separator:a98fea6c94833db424e083eff337ef370"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a739b5fd1f5bcb96b42089ff06281b3ea"><td class="memItemLeft" align="right" valign="top"><a id="a739b5fd1f5bcb96b42089ff06281b3ea"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test) override</td></tr>
<tr class="separator:a739b5fd1f5bcb96b42089ff06281b3ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a744eeb6ddfcba78b34515fac7f1ab704"><td class="memItemLeft" align="right" valign="top"><a id="a744eeb6ddfcba78b34515fac7f1ab704"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsSetUpEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test) override</td></tr>
<tr class="separator:a744eeb6ddfcba78b34515fac7f1ab704"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76cf742eacd1c048b81dc3a1138f55ab"><td class="memItemLeft" align="right" valign="top"><a id="a76cf742eacd1c048b81dc3a1138f55ab"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseStart</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;parameter) override</td></tr>
<tr class="separator:a76cf742eacd1c048b81dc3a1138f55ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa54fdafe6dfdd46dbac108c17016a5f9"><td class="memItemLeft" align="right" valign="top"><a id="aa54fdafe6dfdd46dbac108c17016a5f9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteStart</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;parameter) override</td></tr>
<tr class="separator:aa54fdafe6dfdd46dbac108c17016a5f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4522c01f10f98d9e5bd97c7e94f3d2bf"><td class="memItemLeft" align="right" valign="top"><a id="a4522c01f10f98d9e5bd97c7e94f3d2bf"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestStart</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;test_info) override</td></tr>
<tr class="separator:a4522c01f10f98d9e5bd97c7e94f3d2bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf15a326277f2b2900f8b3624fb27562"><td class="memItemLeft" align="right" valign="top"><a id="aaf15a326277f2b2900f8b3624fb27562"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestPartResult</b> (const TestPartResult &amp;result) override</td></tr>
<tr class="separator:aaf15a326277f2b2900f8b3624fb27562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f524b2773bf2cbf6df1269975c5a79f"><td class="memItemLeft" align="right" valign="top"><a id="a0f524b2773bf2cbf6df1269975c5a79f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestEnd</b> (const <a class="el" href="classtesting_1_1TestInfo.html">TestInfo</a> &amp;test_info) override</td></tr>
<tr class="separator:a0f524b2773bf2cbf6df1269975c5a79f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93a1095b37efd7315a804a6c18c78c1c"><td class="memItemLeft" align="right" valign="top"><a id="a93a1095b37efd7315a804a6c18c78c1c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseEnd</b> (const TestCase &amp;parameter) override</td></tr>
<tr class="separator:a93a1095b37efd7315a804a6c18c78c1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59e442d1f79ea186499ef99284a60d4c"><td class="memItemLeft" align="right" valign="top"><a id="a59e442d1f79ea186499ef99284a60d4c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestSuiteEnd</b> (const <a class="el" href="classtesting_1_1TestSuite.html">TestSuite</a> &amp;parameter) override</td></tr>
<tr class="separator:a59e442d1f79ea186499ef99284a60d4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bf25212c9b1c09ed80b2bbcf55dbba"><td class="memItemLeft" align="right" valign="top"><a id="aa2bf25212c9b1c09ed80b2bbcf55dbba"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownStart</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test) override</td></tr>
<tr class="separator:aa2bf25212c9b1c09ed80b2bbcf55dbba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bc5fc45653d32b5e1bcad059ee7616b"><td class="memItemLeft" align="right" valign="top"><a id="a0bc5fc45653d32b5e1bcad059ee7616b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnEnvironmentsTearDownEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test) override</td></tr>
<tr class="separator:a0bc5fc45653d32b5e1bcad059ee7616b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4a52e544380946ff86fc57915aa7152"><td class="memItemLeft" align="right" valign="top"><a id="aa4a52e544380946ff86fc57915aa7152"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestIterationEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test, int iteration) override</td></tr>
<tr class="separator:aa4a52e544380946ff86fc57915aa7152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a255378258ea0d14688303d4a6421746f"><td class="memItemLeft" align="right" valign="top"><a id="a255378258ea0d14688303d4a6421746f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestProgramEnd</b> (const <a class="el" href="classtesting_1_1UnitTest.html">UnitTest</a> &amp;unit_test) override</td></tr>
<tr class="separator:a255378258ea0d14688303d4a6421746f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtesting_1_1TestEventListener"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtesting_1_1TestEventListener')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtesting_1_1TestEventListener.html">testing::TestEventListener</a></td></tr>
<tr class="memitem:ac48628c9f78d3e10bff77c7366e9e780 inherit pub_methods_classtesting_1_1TestEventListener"><td class="memItemLeft" align="right" valign="top"><a id="ac48628c9f78d3e10bff77c7366e9e780"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><b>OnTestCaseStart</b> (const TestCase &amp;)</td></tr>
<tr class="separator:ac48628c9f78d3e10bff77c7366e9e780 inherit pub_methods_classtesting_1_1TestEventListener"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1TestEventRepeater.html">TestEventRepeater</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
